curl --request GET \
--url https://api.baselayer.com/lien_searches \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/lien_searches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/lien_searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"last_updated_at": "2024-06-01",
"error": "TimeoutError: The Liens Search could not be completed.",
"searched_states": [
"CA",
"GA"
],
"person_id": "f6f56773-54c8-4fb1-a550-bbee60a364e8",
"business_id": "9fbd8770-34bb-4798-8c8c-538fcdf23bd3",
"business_search_id": "7a9f00b7-2a1a-46fe-88d4-0c172b046151"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get All Lien Searches
This endpoint returns all lien searches.
Authorizations
Query Parameters
The maximum number of lien searches to return.
x >= 1The number of lien searches to skip before starting to return the lien searches.
x >= 0The type of lien searches to return.
Business, Person, BusinessSearch "Business"
"Person"
"BusinessSearch"
Response
Successful Response
The identifier of this liens search response.
The current state of the liens search request.
PENDING, EXECUTING, COMPLETED, FAILED, CANCELLED The date the lien search result was last updated.
"2024-06-01"
Any errors that occurred during the liens search request.
"TimeoutError: The Liens Search could not be completed."
Indicates the list of states specified in the liens search request. When states are provided, the search was limited to liens within these specified states, regardless of the business's registered states.
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY, PR, VI, AE, AA, AP, GU, AS ["CA", "GA"]
The identifier of the person associated with these lien filings.
"f6f56773-54c8-4fb1-a550-bbee60a364e8"
The identifier of the business associated with these lien filings.
"9fbd8770-34bb-4798-8c8c-538fcdf23bd3"
The identifier of the business search associated with these lien filings.
"7a9f00b7-2a1a-46fe-88d4-0c172b046151"